Bug 481700 - no selinux targeted policy file after fresh install of Fedora 10 x64
no selinux targeted policy file after fresh install of Fedora 10 x64
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-27 03:12 EST by Randy Cole
Modified: 2009-06-18 14:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:21:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fedora /root/install.log (60.92 KB, application/octet-stream)
2009-01-30 03:31 EST, Randy Cole
no flags Details

  None (edit)
Description Randy Cole 2009-01-27 03:12:11 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Install from Fedora-10-x86_64-DVD.iso (downloaded 1/25/2009 from torrent)
2. Select desktop, developer & web software.  Customize later.
3. Select all three repositories: media, fedora, fedora updates.
4. Boot
5. Type <esc> <esc> to display messages
  
Actual results:
Fedora displays "fedora 10" progress bar, then stops.
<esc> <esc> reveals:
 "Loading /lib/kbd/keymaps/i386/qwerty/us.map
  selinux:  could not open policy file <= /etc/selinux/targeted/policy/policy.23: No such file or directory
  Unable to load SELinux policy (No such file or directory). Halting now."

Expected results:
Expected to boot

Additional info:
This is a brand new fresh install. Nothing in log. System responds to ^C by going down.  Media passed self-test, did not check the sha1sum, assume that torrent did that.  Confirmed policy file is missing.
Comment 1 Daniel Walsh 2009-01-27 15:07:26 EST
Did you use a kickstart file to install from?
Comment 2 Randy Cole 2009-01-30 03:31:51 EST
Created attachment 330450 [details]
Fedora /root/install.log

File checksum errors resulting in packages not being installed.
Comment 3 Randy Cole 2009-01-30 03:58:51 EST
No, I did not use a kickstart file;  Normal interactive gui install, clicked box to accept updated packages from repository.

Summary
=======
Seems to be related to packages that were not installed due to checksum errors on files.  Which is weird since the DVD passed media test.  Perhaps there were file errors during the network transfer, or the checksum compared the files to the original MD5SUM?  I don't know.

Approach
========
Add SELINUX=0 to grub.  (boot continues, X hangs.)
Login as root on console.
yum update; yum upgrade.  (now SELINUX works, get the login screen)
Manually add user so that I can gui login.  (login, but gnome doesn't start)
Install KDE (neither gnome nor KDE will start)
grep error /root/install.log | (manually) yum whatprovides | (manually) yum install

Now most everything except logout and user switching is working.  And the Broadcom wireless is not working, but that is another issue.
Comment 4 Daniel Walsh 2009-01-30 08:48:11 EST
Installing policycoreutils-2.0.57-14.fc10.x86_64
error: unpacking of archive failed on file /usr/sbin/open_init_pty;497e51fa: cpi
o: MD5 sum mismatch

This caused all of the problems,   I have no idea why.
Comment 5 Chris Lumens 2009-01-30 09:09:16 EST
Please attach /var/log/anaconda.log and /var/log/anaconda.syslog to this bug report.  Random errors like this sound like I/O errors when reading the disc, possibly caused by a corrupt download or burn.  I won't know fur sure until looking at those log files.

Note You need to log in before you can comment on or make changes to this bug.